package cofh.thermal.expansion.client.gui.machine;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cofh.core.client.gui.IGuiAccess;
import cofh.core.client.gui.element.ElementBase;
import cofh.core.client.gui.element.ElementButton;
import cofh.core.inventory.container.ContainerCoFH;
import cofh.core.util.helpers.GuiHelper;
import cofh.lib.api.block.entity.ITileCallback;
import cofh.lib.api.control.IReconfigurable;
import cofh.lib.util.helpers.SoundHelper;
import cofh.thermal.core.client.gui.ThermalGuiHelper;
import cofh.thermal.expansion.inventory.container.machine.MachineCrafterContainer;
import cofh.thermal.lib.block.entity.AugmentableBlockEntity;
import cofh.thermal.lib.block.entity.Reconfigurable4WayBlockEntity;
import cofh.thermal.lib.client.gui.MachineScreen;
import java.util.Objects;
import net.minecraft.network.chat.Component;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.world.entity.player.Inventory;

public class MachineCrafterScreen extends MachineScreen<MachineCrafterContainer> {
  public static final String TEX_PATH = "thermal:textures/gui/container/crafter.png";
  
  public static final ResourceLocation TEXTURE = new ResourceLocation("thermal:textures/gui/container/crafter.png");
  
  public static final String TEX_ACCEPT = "cofh_core:textures/gui/elements/button_accept.png";
  
  public MachineCrafterScreen(MachineCrafterContainer container, Inventory inv, Component titleIn) {
    super((ContainerCoFH)container, inv, (Reconfigurable4WayBlockEntity)container.tile, titleIn);
    this.texture = TEXTURE;
    this.info = GuiHelper.generatePanelInfo("info.thermal.machine_crafter");
    this.name = "crafter";
    this.f_97727_ = 190;
  }
  
  public void m_7856_() {
    super.m_7856_();
    for (int i = 0; i < 9; i++)
      addElement((ElementBase)GuiHelper.createInputSlot((IGuiAccess)this, 8 + i * 18, 77, (IReconfigurable)this.tile)); 
    addElement((ElementBase)GuiHelper.createLargeOutputSlot((IGuiAccess)this, 143, 21, (IReconfigurable)this.tile));
    addElement((ElementBase)GuiHelper.setClearable(GuiHelper.createMediumInputFluidStorage((IGuiAccess)this, 29, 22, this.tile.getTank(0), (IReconfigurable)this.tile), (ITileCallback)this.tile, 0));
    addElement((ElementBase)ThermalGuiHelper.createDefaultFluidProgress((IGuiAccess)this, 110, 22, "cofh_core:textures/gui/elements/progress_arrow_fluid_right.png", (AugmentableBlockEntity)this.tile));
    addElement((ElementBase)ThermalGuiHelper.createDefaultProgress((IGuiAccess)this, 110, 22, "cofh_core:textures/gui/elements/progress_arrow_right.png", (AugmentableBlockEntity)this.tile));
    Objects.requireNonNull(((MachineCrafterContainer)this.f_97732_).tile);
    ElementBase setRecipe = (new ElementButton((IGuiAccess)this, 142, 52)).setName("SetRecipe").setSize(18, 18).setTexture("cofh_core:textures/gui/elements/button_accept.png", 54, 18).setEnabled(((MachineCrafterContainer)this.f_97732_).tile::hasRecipeChanges);
    addElement(setRecipe);
  }
  
  public boolean handleElementButtonClick(String buttonName, int mouseButton) {
    if (buttonName.equalsIgnoreCase("SetRecipe")) {
      ((MachineCrafterContainer)this.f_97732_).setRecipe();
      SoundHelper.playClickSound(((MachineCrafterContainer)this.f_97732_).hasValidRecipe() ? 0.8F : 0.6F);
    } 
    return true;
  }
}
